%define upstream_name    IPC-SRLock
%define upstream_version 0.8.205

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast) >= 0.310.0
BuildRequires: perl(Class::Null) >= 1.90.0
BuildRequires: perl(Data::Serializer) >= 0.460.0
BuildRequires: perl(Date::Format) >= 2.220.0
BuildRequires: perl(Exception::Class) >= 1.230.0
BuildRequires: perl(IO::AtomicFile) >= 2.110.0
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(IPC::ShareLite) >= 0.170.0
BuildRequires: perl(List::Util) >= 1.190.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Moose) >= 2.40.200
BuildRequires: perl(Storable) >= 2.150.0
BuildRequires: perl(Test::More) >= 0.740.0
BuildRequires: perl(Time::Elapsed) >= 0.100.0
BuildRequires: perl(Time::HiRes) >= 1.971.100
BuildRequires: perl(Try::Tiny) >= 0.60.0
BuildRequires: perl(parent) >= 0.221.0
BuildRequires: perl(version) >= 0.740.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.8.205-2.mga3
+ Revision: 368644
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.8.205-1.mga3
+ Revision: 317616
- update to 0.8.205

* Sun Oct 21 2012 jquelin <jquelin> 0.8.199-1.mga3
+ Revision: 308884
- adding missing buildrequires:
- imported package perl-IPC-SRLock

